pipelines:
    branches:
      master:
        - step:
            name: Build and test
            image: samueldebruyn/debian-git
            script:
               - apt-get update
               - apt-get -qq install git-ftp
               - git-ftp push -vv --user $FTP_USERNAME --passwd $FTP_PASSWORD ftp://untrefswap.xyz/public_html/guntref/ci
      develop:
        - step:
            name: Build and test
            image: bitnami/git
            script:
               - apt-get update
               - apt-get -qq install git-ftp
               - git-ftp push -vv --user $FTP_USERNAME --passwd $FTP_PASSWORD ftp://untrefswap.xyz/public_html/guntref/develop

      newmaster:
        - step:
            name: Build and test
            image: bitnami/git
            script:
              - apt-get update
              - apt-get -qq install git-ftp
              - git-ftp push -vv --user $NEWFTP_USERNAME --passwd $NEWFTP_PASSWORD ftp://72.167.42.169/public_html/guntref/ci

      newdevelop:
        - step:
            name: Build and test
            image: bitnami/git
            script:
              - apt-get update
              - apt-get -qq install git-ftp
              - git-ftp push -vv --user $NEWFTP_USERNAME --passwd $NEWFTP_PASSWORD ftp://72.167.42.169/public_html/guntref/develop